package envoy.client.event;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>EnterToSendEvent.java</strong><br>
 * Created: <strong>22 Dec 2019</strong><br>
 *
 * @author Maximilian K&auml;fer
 * @since Envoy v0.3-alpha
 */
public class EnterToSendEvent implements Event<Boolean> {

	private boolean mode;

	/**
	 * @param mode This is the enter to sent mode when sending messages.
	 *                  </br>
	 *                  true = Enter to Send Messages </br>
	 *                  false = Enter to do a line break
	 * @since Envoy 0.3-alpha
	 */
	public EnterToSendEvent(boolean mode) { this.mode = mode; }

	@Override
	public Boolean get() { return mode; }

}
